<template>
	<view class="paySuccess">
		<view style="background: #fff;">
			<view class="img-box">
				<img src="/static/images/icon/pay-success.png" class="img" />
			</view>
			<view class="title">订单支付成功</view>
			<view class="price">实付 ￥{{payInfo.total_price}}</view>
			<view class="btn-box">
				<u-button style="display: inline-block;" shape="circle" :custom-style="customStyle" @click="goHome">返回首页
				</u-button>
				<u-button shape="circle" style="margin-left: 60rpx; display: inline-block;"
					:custom-style="themCustomStyle" @click.stop="redictToOrders">查看订单</u-button>
			</view>
		</view>
		<!-- 老师信息 -->
		<view class="list">
			<view class="information">老师信息</view>
			<view class="nformation2">请点击下方微信图片添加老师企业微信</view>
			<view class="list-box" v-for="(item,i) in list" :key="i">
				<view class="list-box3">
					<view class="list-name">{{item.Name.substr(0,1)}}</view>
					<view class="list-box2">
						<view class="list-name2">{{item.Name}}</view>
						<view class="list-name3">老师</view>
					</view>
				</view>
				<view class="image-box" @click="previewImage(i,item.WXQRCode)">
					<image class="list-img" :src="item.WXQRCode"></image>
				</view>
			</view>
		</view>
		<!-- 老师信息 -->
		<u-divider :margin-top="20" :margin-bottom="20" bg-color="transparent">
			<view style="display: flex;">
				<u-icon name="like" size="20px" :color="mainColor"></u-icon>
				<text style="margin-left: 5px;">为你推荐</text>
			</view>
		</u-divider>
		<view style="padding: 12px;" v-if="recommend.length > 0">
			<goodlist :list="recommend"></goodlist>
		</view>
		<coupon v-if="showCoupons" :coupon-message="couponMessage" @goLook="goLook" @closeBtn="closeBtn"></coupon>
	</view>
</template>

<script>
	import goodlist from "@/components/goods/list";
	import coupon from "@/components/coupons/coupons";
	export default {
		components: {
			goodlist,
			coupon
		},
		data() {
			return {
				list: [],
				customStyle: {
					marginLeft: "20px",
					padding: "0 30rpx",
				},
				themCustomStyle: {
					marginLeft: "20px",
					padding: "0 30rpx",
				},
				mainColor: "",
				recommend: [],
				payInfo: {},
				showCoupons: false,
				couponMessage: '',
				StuId: null,
				TeacherIds: ''
			};
		},
		onLoad(option) {
			if (option.payInfo) {
				this.payInfo = JSON.parse(option.payInfo)
				if (this.payInfo.StuId) {
					this.StuId = this.payInfo.StuId
				}
				if (this.payInfo.TeacherIds) {
					this.TeacherIds = this.payInfo.TeacherIds
				}
			}
			uni.setNavigationBarTitle({
				title: "支付成功",
			});
			this.mainColor = this.$uiConfig.mainColor;
			this.themCustomStyle.color = this.mainColor;
			this.themCustomStyle.borderColor = this.mainColor;
			this.getReceive()
			this.initRecommend();
			this.GetTeacherCode()
		},
		methods: {
			//图片预览
			previewImage(index, images) {
				uni.previewImage({
					urls: this.list.map(item => item.WXQRCode),
					current: index,
				});
			},
			GetTeacherCode() {
				let data = {
					StuId: this.StuId,
					TeacherIds: this.TeacherIds,
				}
				this.requestJJSWAdmin(
					"/api/AppletCenter/XXKGetTeacherCode",
					data,
					(res) => {
						uni.hideLoading();
						if (res.data.Code == 1) {
							this.list = res.data.Data
						}
					}
				);
			},
			initRecommend() {
				var UserPageType = uni.getStorageSync("mall_UserInfo") ? uni.getStorageSync("mall_UserInfo").UserPageType :
					0;
				this.request2({
						url: "/api/AppletGoods/GetAppletGoodsRecommendListForZY",
						data: {
							RecommendType: 1,
							GoodsPageType: UserPageType
						},
					},
					(res) => {
						this.recommend = res.data.List;
					}
				);
			},
			redictToOrders() {
				if (this.payInfo.type) {
					if (this.payInfo.type == 1) { //跳到课程订单
						uni.reLaunch({
							url: '/pages/school/personal/orderList?status=2'
						});
					} else if (this.payInfo.type == 2 && !this.payInfo.isCoffee) { //根据甲鹤的跳转
						uni.reLaunch({
							url: "/pages/order/index/index?status=0",
						});
					} else if (this.payInfo.type == 2 && this.payInfo.isCoffee) { //根据甲鹤咖啡的跳转
						uni.reLaunch({
							url: "/pages/coffee/myOrder",
						});
					}
				} else {
					uni.reLaunch({
						url: "/pages/order/index/index?status=2",
					});
				}

			},
			goHome() {
				uni.reLaunch({
					url: "/pages/index/index",
				});
			},
			getReceive() { //分享进入调取领券接口
				// 1-分享，2-购买并付款
				this.request2({
						url: "/api/AppletUser/ShareCoupon",
						data: {
							TriggerType: 2,
						},
					},
					(res) => {
						console.log(res, 'res')
						if (res.couponResultCode == 1) {
							this.couponMessage = res.couponMessage
							this.showCoupons = true;
						}
					}
				);
			},
			goLook() {
				this.showCoupons = true;
			},
			closeBtn() {
				this.showCoupons = false
			}
		},
	};
</script>

<style>
	.image-box {
		width: 100rpx;
	}

	.list-name2 {
		font-size: 30rpx;
		font-weight: bold;
		margin-right: 10rpx;
	}

	.list-name3 {
		width: 28px;
		background: #E38C22;
		height: 30rpx;
		font-size: 24rpx;
		text-align: center;
		line-height: 30rpx;
		color: #Fff;
		border-radius: 10rpx
	}

	.list {
		margin-top: 50rpx;
		padding: 0rpx 25rpx;
	}

	.list-box3 {
		display: flex;
		align-items: center;
	}

	.information {
		margin-bottom: 20rpx;
		font-weight: bold;
		font-size: 32rpx;
	}

	.nformation2 {
		color: gray;
		font-size: 26rpx;
		margin-bottom: 50rpx;
	}

	.list-box2 {
		display: flex;
		align-items: center;
		margin-left: 20rpx;
	}

	.list-name {
		width: 100rpx;
		background: #FCEEEE;
		height: 100rpx;
		border-radius: 20rpx;
		text-align: center;
		line-height: 100rpx;
		font-size: 36rpx;
		font-weight: bold;
		color: #D6989D;
	}

	.list-box {
		height: 150rpx;
		display: flex;
		align-items: center;
		justify-content: space-between;
		background: #fff;
		/* border: 20rpx; */
		border-radius: 20rpx;
		/* background: red; */
		padding-left: 20rpx;
		margin-bottom: 40rpx;
	}

	.list-img {
		width: 50rpx;
		height: 50rpx;
	}

	.paySuccess {
		min-height: 100vh;
		padding-bottom: 40rpx;
		background: #f5f5f5;
	}

	.paySuccess .img-box {
		display: flex;
		align-items: center;
		justify-content: center;
	}

	.paySuccess .img-box .img {
		width: 256rpx;
		height: 256rpx;
		padding: 60rpx 0 0 0;
	}

	.paySuccess .title {
		padding: 40rpx 0 20rpx 0;
		font-size: 32rpx;
		color: #000;
		font-weight: 600;
		text-align: center;
	}

	.paySuccess .price {
		font-size: 30rpx;
		color: gray;
		padding-bottom: 60rpx;
		text-align: center;
	}

	.paySuccess .btn-box {
		padding-bottom: 60rpx;
		text-align: center;
	}
</style>
